//
//  Board.swift
//  GameBattleshipTerminal
//
//  Created by Piotr Fulmański on 2020.02.26.
//  Copyright © 2020 Piotr Fulmański. All rights reserved.
//

import Foundation

class Board {
    private let rows, cols: Int
    private var board: [[CellType]]

    enum CellType {
        case none, empty, hit, notAllowed, rescue, ship, shot
    }
    
    init (rows: Int, cols: Int) {
        self.rows = rows
        self.cols = cols
        
        board = Array(repeating: Array(repeating: .none, count: cols+2), count: rows+2)
        
        prepareBoard()
    }
    
    func prepareBoard() {
        for i in 0...rows+1 {
            board[i][0] = .notAllowed
            board[i][cols+1] = .notAllowed
        }
        
        for i in 0...cols+1 {
            board[0][i] = .notAllowed
            board[rows+1][i] = .notAllowed
        }
        
        for r in 1...rows {
            for c in 1...cols {
                board[r][c] = .empty
            }
        }
    }
    
    func printBoard() {
        /*
        for c in 0...cols+1 {
                switch board[r][c] {
                case CellContentType.empty:
                    line += "."
                case CellContentType.hit:
                    line += "!"
                case CellContentType.ship:
                    line += "X"
                case CellContentType.shot:
                    line += "*"
                case CellContentType.none:
                    line += "?"
                case CellContentType.notAllowed:
                    line += "+"
                case CellContentType.rescue:
                    line += "O"
                }
            }
 */
    }
    
    
}
